IPCRM(1)

BEZEICHNUNG
ipcrm - bestimmte IPC-Ressourcen entfernen

ÜBERSICHT

ipcrm [Optionen]

ipcrm [shm|msg|sem] ID ...

BESCHREIBUNG

ipcrm entfernt Objekte der POSIX- und System V Interprocess Communication (IPC) und die zugehörigen Datenstrukturen aus dem System. Um solche Objekte entfernen zu können, müssen Sie entweder Administrator oder der Ersteller oder Besitzer des Objektes sein.

IPC-Objekte von POSIX und System V gibt es in drei Typen: gemeinsam genutzter Speicher, Nachrichtenwarteschlangen und Semaphoren. Nachrichtenwarteschlangen oder Semaphor-Objekte werden unmittelbar gelöscht, unabhängig davon, ob ein Prozess einen IPC-Bezeichner für dieses Objekt besitzt. Ein gemeinsam genutztes Speicherobjekt wird nur dann gelöscht, wenn alle aktuell angehängten Prozesse das Objekt von deren virtuellem Adressraum abgehängt haben (shmdt(2)).

Zwei Syntax-Stile werden unterstützt. Die historische Linux-Syntax verwendet ein Schlüsselwort aus drei Buchstaben, welches die Klasse des zu löschenden Objekts angibt, gefolgt von einem oder mehreren IPC-Bezeichnern für Objekte dieses Typs.

Die SUS-konforme Syntax ermöglicht die Angabe von null oder mehr Objekten aller drei Typen in einer einzigen Befehlszeile, wobei Objekte entweder durch Schlüssel oder Bezeichner angegeben werden, siehe unten. Sowohl Schlüssel als auch Bezeichner können in dezimaler, hexadezimaler (angegeben durch ein initiales »0x« oder »0X«) oder oktaler (angegeben durch eine initiale »0«) Schreibweise übergeben werden.

Details zu den Löschvorgängen werden in shmctl(2), shm_unlink(3), msgctl(2), mq_unlink(3), semctl(2) und sem_unlink(3) beschrieben. Die Bezeichner und Schlüssel können durch lsipc(1) oder ipcs(1) ermittelt werden.

OPTIONEN

-a, --all [shm] [pshm] [msg] [pmsg] [sem] [psem]
    entfernt alle Ressourcen. Wenn ein Optionsargument angegeben wird, dann werden nur die Ressourcen der angegebenen Typen entfernt.

    Achtung! Verwenden Sie -a nicht, wenn Sie nicht sicher sind, wie die Software darauf reagiert, welche die Ressourcen verwendet. Einige Programme erzeugen diese Ressourcen beim Start und können mit deren unerwartetem Verschwinden nicht umgehen.

-M, --shmem-key shmkey
    entfernt das mit shmkey erzeugte gemeinsam genutzte Speichersegment, nachdem der letzte Abhängevorgang abgeschlossen wurde.

-m, --shmem-id shmid
    entfernt das mit shmid angegebene gemeinsam genutzte Speichersegment, nachdem der letzte Abhängevorgang abgeschlossen wurde.

--posix-shmem Name
    entfernt das mit Name erstellte gemeinsam genutzte POSIX-Speichersegment.

-Q, --queue-key msgkey
    entfernt die mit msgkey erzeugte Nachrichtenwarteschlange.

-q, --queue-id msgid
    entfernt die mit msgid angegebene Nachrichtenwarteschlange.

--posix-mqueue Name
    entfernt die mit Name erzeugte POSIX-Nachrichtenwarteschlange.

-S, --semaphore-key semkey
    entfernt den mit semkey erzeugten Semaphor.

-s, --semaphore-id semid
    entfernt den mit semid angegebenen Semaphor.

--posix-semaphore Name
    entfernt den mit Name erzeugten POSIX-benannten Semaphor.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

ANMERKUNGEN

In der ersten Linux-Implementation von ipcrm wurde die in der zweiten Zeile der ÜBERSICHT angezeigte veraltete Syntax verwendet. Seither wurden die in anderen *nix-Implementationen von ipcrm verfügbaren Funktionen hinzugefügt, insbesondere die Möglichkeit zum Löschen von Ressourcen anhand des Schlüssels (nicht nur anhand des Bezeichners) und die Verwendung der gleichen Befehlszeilensyntax. Aus Gründen der Abwärtskompatibilität wird die alte Syntax weiterhin unterstützt.

SIEHE AUCH

ipcmk(1), ipcs(1), lsipc(1), msgctl(2), mq_unlink(3), msgget(2), semctl(2), semget(2), sem_unlink(3), shmctl(2), shmdt(2), shmget(2), shm_unlink(3), ftok(3), sysvipc(7)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl ipcrm ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.